Package org.pushingpixels.substance.flamingo.common.ui

# Class SubstancePopupPanelUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.PanelUI
org.pushingpixels.flamingo.internal.ui.common.popup.PopupPanelUI
org.pushingpixels.flamingo.internal.ui.common.popup.BasicPopupPanelUI
org.pushingpixels.substance.flamingo.common.ui.SubstancePopupPanelUI

public class SubstancePopupPanelUI extends org.pushingpixels.flamingo.internal.ui.common.popup.BasicPopupPanelUI
UI for `JPopupPanel` components in Substance look and feel.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.pushingpixels.flamingo.internal.ui.common.popup.BasicPopupPanelUI

`org.pushingpixels.flamingo.internal.ui.common.popup.BasicPopupPanelUI.PopupPanelEscapeDismisser, org.pushingpixels.flamingo.internal.ui.common.popup.BasicPopupPanelUI.WindowTracker`

## Field Summary

### Fields inherited from class org.pushingpixels.flamingo.internal.ui.common.popup.BasicPopupPanelUI

`popupPanel`

## Constructor Summary

Constructors
Constructor
Description
`SubstancePopupPanelUI()`

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent comp)`
`void`
`update(Graphics g, JComponent c)`

### Methods inherited from class org.pushingpixels.flamingo.internal.ui.common.popup.BasicPopupPanelUI

`initiliazeGlobalListeners, installComponents, installDefaults, installListeners, installUI, uninstallComponents, uninstallDefaults, uninstallListeners, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, paint`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstancePopupPanelUI

public SubstancePopupPanelUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### update

public void update(Graphics g, JComponent c)

Overrides:
  `update` in class `ComponentUI`